/**
 * 客户信息详情
 * */

var taxCusFinId;// 财税信息自增id
var taxCustomerId;// 客户id

$(document).ready(function() {
	var edit_id = helper.request.queryString("edit_id");
	if (edit_id) {
		getCustomer(edit_id); //获取客户信息
		// getTaxDetail(edit_id).then(function(data){
		// 	if($.cookie("userRoleId") == '17' || $.cookie("userRoleId") == '57' ){
		// 		$('.hide_btn').show();$('.hide_btnd').show();
		// 		$('#btn_editTax').show();
		// 	}
		// 	//监管
		// 	if($.cookie("userRoleId") == '54'){
		// 		$('.hide_btn').show();$('.hide_btnd').hide();
		// 		$('#btn_editTax').show();
		// 	}
		// 	taxCusFinId = data.F_CusFinId;// 财税信息自增id
		// 	taxCustomerId = data.F_CustomerId;// 客户id
		// }); //获取财税情况
	}
});

//获取客户详情
function getCustomer(ids) {
	$.getJSON(huayi.config.callcenter_url + "CustomerNew/GetCustomer", {
		cusid: ids, //客户id
		token: $.cookie("token")
	}, function(data) {
		if (data.state.toLowerCase() == "success") {
			var cusBase = data.data && data.data.CustomerBase;
			$('#customer_bedept').text(data.data && data.data.BeDeptName); // int 客户归属部门
			if (cusBase) {
				$('#customer_key').text(cusBase.F_KeyWords); //string 关键词	
				$('#customer_code').text(cusBase.F_CustomerCode); //string 客户编号
				$('#customer_companyname').text(cusBase.F_CompanyName); //string 名称
				$('#customer_address').text(cusBase.F_CompanyAddress); //string 地址
				$('#customer_legalName').text(cusBase.F_LegalName); //string 姓名  F_LegalTel
		        $('#customer_lehalTel').text(cusBase.F_LegalTel); //string 姓名  
				
				
				

				
				
				
				
				
			}
			var cusLists = data.data && data.data.ContactList;
			if (cusLists && cusLists.length > 0) {
				$('#cusLists').empty();
				$('#conectLits').show();
				for (var i = 0; i < cusLists.length; i++) {
					var tplstr = '';
					tplstr = '<div class="clearfix cusListItem">'+
										'<a href="javascript:;" class="aBtn hide_btn" onclick="btn_edit(\''+ cusLists[i].F_CustomerId +'\',\''+ cusLists[i].F_ManId +'\')" title="修改">修改</a>'+
										'<a href="javascript:;" class="aBtn aBtn1 hide_btnd" onclick="btn_delete(\''+ cusLists[i].F_ManId +'\')" title="删除">删除</a>'+
										'<li class="col-md-3 col-sm-4">' +
											'<label>姓名：</label>' +
											'<span>'+ cusLists[i].F_Name +'</span>' +
										'</li>'+
										'<li class="col-md-3 col-sm-4">' +
											'<label>电话：</label>' +
											'<a href="jvascript:;" onclick="calloutopt('+ cusLists[i].F_Telephone +')">'+ helper.filter.cutTel(cusLists[i].F_Telephone) +'<img src="../img/Phones.png" alt="phone" /></a>'+
										'</li>'+
										'<li class="col-md-3 col-sm-4">' +
											'<label>邮箱：</label>' +
											'<span>'+ cusLists[i].F_Email +'</span>' +
										'</li>'+
										'<li class="col-md-3 col-sm-4">' +
											'<label>职务：</label>' +
											'<span>'+ cusLists[i].F_Duties +'</span>' +
										'</li>'+
										'<li class="col-md-3 col-sm-4">' +
											'<label>QQ：</label>' +
											'<span>'+ cusLists[i].F_QQ +'</span>' +
										'</li>'+
										'<li class="col-md-3 col-sm-4">' +
											'<label>MSN：</label>' +
											'<span>'+ cusLists[i].F_MSN +'</span>' +
										'</li>'+
										'<li class="col-md-12 col-sm-12">' +
											'<label>备注：</label>' +
											'<span>'+ cusLists[i].F_Remark +'</span>' +
										'</li>'+
										'<li class="col-md-12 col-sm-12">'+
											'<label for="customer_F_IsMain">是否主要联系人:</label>'+
											'<span>'+ (cusLists[i].F_IsMain === true ? '是' : '否') +'</span>'+
										'</li>'+
										'</div>';
					$('#cusLists').append(tplstr);
					
					if($.cookie("userRoleId") == '17' || $.cookie("userRoleId") == '57' ){
						$('.hide_btn').show();$('.hide_btnd').show();
					}
					//监管
					if($.cookie("userRoleId") == '54'){
						$('.hide_btn').show();$('.hide_btnd').hide();
					}
					
				}
			}
		}
	});
}

//获取财税情况
function getTaxDetail(ids){
	var dtd = $.Deferred();
	$.getJSON(huayi.config.callcenter_url + "CustomerNew/GetFinc",{
		cusid: ids, // 客户id
		token: $.cookie("token")
	},function(data){
		if(data.state.toLowerCase() === 'success'){
			data = data.data;
			$('#tax_code').text(data.F_CustomerCode); //	string 客户编号	
			$('#tax_MonthState').text(data.F_MonthState); //	string 本月财税情况:已结清/未结清
			$('#tax_AnnualIncome').text(data.F_AnnualIncome); //	string 本年收入（元）
			$('#tax_AnnualProfit').text(data.F_AnnualProfit); //	string 本年利润	
			$('#tax_AnnualCost').text(data.F_AnnualCost); //	string 本年费用
			$('#tax_AnnualPersonCount').text(data.F_AnnualPersonCount); //	string 本年人数	
			$('#tax_AnnualWages').text(data.F_AnnualWages); //	string 本年工资	
			$('#tax_QuarterlyCost').text(data.F_QuarterlyCost); //	string	本季费用
			$('#tax_QuarterlyPersonCount').text(data.F_QuarterlyPersonCount); //	string	本季人数	
			$('#tax_QuarterlyWages').text(data.F_QuarterlyWages); //	string	本季工资	
			$('#tax_QuarterlyIncome').text(data.F_QuarterlyIncome); //	string	本季收入
			$('#tax_QPVAT').text(data.F_QPVAT); //	string	本季应交税额-增值税	
			$('#tax_QPSurtax').text(data.F_QPSurtax); //	string	本季应交税额-附加税	
			$('#tax_QPTaxes').text(data.F_QPTaxes); //	string	本季应交税额-企业所得税
			$('#tax_QPConTax').text(data.F_QPConTax); //	string	本季应交税额-文化事业建设税	
			$('#tax_QPPerinTax').text(data.F_QPPerinTax); //	string	本季应交税额-个税	
			$('#tax_QPStampTax').text(data.F_QPStampTax); //	string	本季应交税额-其他税额
			dtd.resolve(data);
		}
	});
	return dtd.promise();
}

/**
 * 修改财税情况
 * editId 客户id
 * mid 自增id
 * */
function btn_editTax() {
	layer.open({
		type: 2,
		title: '修改财税情况',
		maxmin: true, //开启最大化最小化按钮
		area: ['60%', '70%'],
		content: '../commonTpl/addOrEditTax.html?edit_id=' + taxCustomerId + '&mid=' + taxCusFinId
	});
}

/**
 * 修改联系人信息
 * editId 客户id
 * */
function btn_edit(editId, mid) {
	layer.open({
		type: 2,
		title: '修改联系人信息',
		maxmin: true, //开启最大化最小化按钮
		area: ['60%', '70%'],
		content: '../commonTpl/addOrEditContacts.html?edit_id=' + editId + '&mid=' + mid
	});
}

//删除
function btn_delete(cid) {
	layer.confirm('确定删除当前联系人信息吗？', {
		icon: 7,
		btn: ['是', '否'] //按钮
	}, function(index) {
		/*执行删除*/
		$.ajax({
			type: "post",
			url: huayi.config.callcenter_url + "CustomerNew/DelContact",
			dataType: 'json',
			async: true,
			data: {
				ids: cid,//客户Id，可多选[1,2,3]
				token: $.cookie("token")
			},
			success: function(data) {
				layer.msg("删除成功！");
				var edit_id = helper.request.queryString("edit_id");
				if (edit_id) {
					getCustomer(edit_id); //获取客户信息
				}
				layer.close(index);
			}
		});
	});
}

//外呼
function calloutopt(telphone) {
	event.stopPropagation();
	if(telphone) {
		$.ajax({
			type: "get",
			url: huayi.config.callcenter_url + "CallOutOpt/GetCallOutprefix",
			async: true,
			dataType: 'json',
			data: {
				phone: telphone,
				token: $.cookie("token")
			},
			success: function(result) {
				if(result.state.toLowerCase() === "success") {
					top.obj.Type = "MakeCall";
					top.obj.DestinationNumber = result.data.phone;
					top.obj.Header = result.data.fix;
					top.obj.TaskType = "0"; //0:拨号外呼；1:问卷外呼；
					top.obj.TaskPhoneID = ''; // 原来是 回访的电话工单ID
					top.Send();
				}
			}
		});
	}
}
